Bug 1492848 - Roles cleared when error detected in User creation dialog
Summary: Roles cleared when error detected in User creation dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Released
Assignee: Marek Hulan
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-18 18:09 UTC by Perry Gagne
Modified: 2019-10-07 17:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:49 UTC
Foreman Issue Tracker 20992 None None None 2017-09-19 07:04:21 UTC

Description Perry Gagne 2017-09-18 18:09:56 UTC
Description of problem: When filling out the user creation dialog, if the user forgets to enter a required filed (such as the "Authorized by" or Username, an error is printed (which is correct). However, this seems to clear whatever roles the have been selected.


Version-Release number of selected component (if applicable): 6.3.0


How reproducible: Always


Steps to Reproduce: 
1. Open Users dialog
2. Fill out the form and select some roles, but leave a required fieid blank (like username)
3. Press submit

Actual results: The selected roles get cleared 


Expected results: The selected roles persist.  


Additional info:

Comment 2 Marek Hulan 2017-09-19 07:04:19 UTC
Created redmine issue http://projects.theforeman.org/issues/20992 from this bug

Comment 3 pm-sat@redhat.com 2018-07-13 14:04:55 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 pm-sat@redhat.com 2018-07-13 14:04:58 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 5 pm-sat@redhat.com 2018-07-23 14:04:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20992 has been resolved.

Comment 8 Jameer Pathan 2018-11-26 11:20:37 UTC
@satellite 6.5.0 snap 5

Verified:

steps: 
1. go to Administer > Users
2. click on Create User
3. Fill out the form and select some roles, but leave a required fieid blank (like username)
4. Press submit

observation:
- error is printed
- The selected roles persist.

Comment 11 errata-xmlrpc 2019-05-14 12:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.